net.fortuna.ical4j.data

## Class HCalendarParserFactory

- java.lang.Object
- - net.fortuna.ical4j.data.CalendarParserFactory
  - - net.fortuna.ical4j.data.HCalendarParserFactory

    public class HCalendarParserFactory
    extends CalendarParserFactory

A parser factory for the hCal microformat.

     $Id$

     Created on 18/11/2007

Author:
  fortuna

### Field Summary

### Fields inherited from class net.fortuna.ical4j.data.CalendarParserFactory

`KEY_FACTORY_CLASS`

### Constructor Summary

Constructors
Constructor and Description
`HCalendarParserFactory()`

### Method Summary

Methods
`CalendarParser` `createParser()` Returns a new instance of the configured `CalendarParser`.

### Methods inherited from class net.fortuna.ical4j.data.CalendarParserFactory

`getInstance`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HCalendarParserFactory

    public HCalendarParserFactory()

### Method Detail

#### createParser

    public CalendarParser createParser()

Returns a new instance of the configured `CalendarParser`.

Specified by:
  `createParser` in class `CalendarParserFactory`
Returns:
  a calendar parser instance